Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Security.Permissions.CodeAccessSecurityAttribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Constructor | System.AttributeTargets.Method, AllowMultiple=true, Inherited=false)

Used to declaratively specify permission to request information from Domain Name Servers.

The security information declared by a security attribute is stored in the metadata of the attribute target, and is accessed by the system at run-time. Security attributes are used for declarative security only. For imperative security, use the corresponding permission class, .

The allowable targets are determined by the passed to the constructor.

- Constructor
  A value.

  Constructs a new instance of the class with the specified value.

  To be added.
  is not a valid value.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission

  Returns a instance that contains the security information of the current instance.

  A object with the security information of the current instance.

  Applications typically do not call this method; it is intended for use by the system.

  The security information described by a security attribute is stored in the metadata of the attribute target, and is accessed by the system at run-time. The system uses the object returned by this method to convert the security information of the current instance into the form stored in metadata.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
0